# Sketcher

Sketcher commands are used to define the entities, such as the geometry, constraints, and dimensions, to create a sketch and to store the values and attributes associated with a particular sketch.

## Create constrained sketches

```{eval-rst}
.. autoclass:: abaqus.Sketcher.SketchModel.SketchModel
    :members:
    :show-inheritance:

    .. autoclasstoc::

```

## Other Classes

```{eval-rst}

.. toggle::

    .. automembers:: abaqus.Sketcher
        :recursive:
        :exclude: SketchModel
```
